- entityDefinitions:
  - IDR_Class__has_super__Class: "{100F0308-855D-4EC5-99FA-D8976CA20053}"
  - IDR_Class__has_sub__Class: "{C14BC80D-879C-4E6F-9123-E8DFB13F4666}"

  - IDR_Class__has__Method: "{2DA28271-5E46-4472-A6F5-910B5DD6F608}"
  - IDR_Method__for__Class: "{76D2CE0D-AA4D-460B-B844-2BD76EF9902B}"

  - IDR_Class__has__Instance: "{7EB41D3C-2AE9-4884-83A4-E59441BCAEFB}"
  - IDR_Instance__for__Class: "{494D5A6D-04BE-477B-8763-E3F57D0DD8C8}"

  - IDR_Class__has__Relationship: "{3997CAAD-3BFA-4EA6-9CFA-2AA63E20F08D}"
  - IDR_Relationship__for__Class: "{C00BD63F-10DA-4751-B8EA-0905436EA098}"

  - IDR_Class__has_title__Translation: "{B8BDB905-69DD-49CD-B557-0781F7EF2C50}"

  - IDR_Class__has__Attribute: "{DECBB61A-2C6C-4BC8-9042-0B5B701E08DE}"
  - IDR_Attribute__for__Class: "{FFC8E435-B9F8-4495-8C85-4DDA67F7E2A8}"

  - IDR_Class__has_default__Task: "{CF396DAA-75EA-4148-8468-C66A71F2262D}"
  - IDR_Task__default_for__Class: "{da4ddf49-1f14-4ba5-a309-e07d8901ce1f}"

  - IDR_Class__has_owner__User: "{D1A25625-C90F-4A73-A6F2-AFB530687705}"
  - IDR_User__owner_for__Class: "{04DD2E6B-EA57-4840-8DD5-F0AA943C37BB}"

  - IDR_Instance__for__Module: "{c60fda3c-2c0a-4229-80e8-f644e4471d28}"
  - IDR_Module__has__Instance: "{c3e5d7e3-5e11-4f8d-a212-b175327b2648}"
  - IDR_Module__has_parent__Module: '{8ce077fe-442f-4726-900f-1a482b98eb7a}'
  - IDR_Module__parent_for__Module: '{c22d0d9c-d2e5-4df7-ad8b-966025a9c42f}'

  - IDR_Class__has__Object_Source: "{B62F9B81-799B-4ABE-A4AF-29B45347DE54}"
  - IDR_Object_Source__for__Class: "{FBB9391D-C4A2-4326-9F85-7801F377253C}"

  - IDR_Class__instances_labeled_by__Executable_returning_Attribute: '{c22fc17f-0c92-47dc-9a8b-28db0db68985}'
  - IDR_Executable_returning_Attribute__labels_instances_of__Class: '{f4bc604b-cd2a-42bb-9aed-b0282fb77a0a}'

  - IDR_Relationship__has_source__Class: "{7FB5D234-042E-45CB-B11D-AD72F8D45BD3}"
  - IDR_Class__source_for__Relationship: "{3de784b9-4561-42f0-946f-b1e90d80029e}"
  - IDR_Relationship__has_destination__Class: "{F220F1C2-0499-4E87-A32E-BDBF80C1F8A4}"
  - IDR_Class__destination_for__Relationship: "{b5f59216-a1f1-4979-8642-a4845e59daa8}"
  
  - IDR_Relationship__has_sibling__Relationship: "{656110FF-4502-48B8-A7F3-D07F017AEA3F}"
  - IDR_Relationship__is_sibling__Relationship: "{FA08B2A4-71E2-44CB-9252-8CE336E2E1AD}"

  - IDR_Element_Content__built_from__BEM_Process: '{3d7094ff-33e5-4800-9e4e-93dde0d1d331}'
  - IDR_BEM_Process__builds__Element_Content: '{9d3220a3-6919-4ebe-97be-49bb9c304c2d}'

  - IDR_String__has__String_Component: "{3B6C4C25-B7BC-4242-8ED1-BA6D01B834BA}"
  - IDR_Extract_Single_Instance_String_Component__has__Relationship: "{5E499753-F50F-4A9E-BF53-DC013820499C}"
  - IDR_Instance_Attribute_String_Component__has__Attribute: "{E15D4277-69FB-4F19-92DB-8D087F361484}"
  - IDR_String_Component__has_source__Method: "{1ef1c965-e120-48be-b682-aa040573b5fb}"

  - IDR_Class__instance_labeled_by__String: "{F52FC851-D655-48A9-B526-C5FE0D7A29D2}"
  
  - IDR_Class__has_summary__Report_Field: "{D11050AD-7376-4AB7-84DE-E8D0336B74D2}"

  - IDR_Class__uses_preview__Executable_returning_Element: '{059dc948-5f1b-4331-94f4-6d79dc324ebf}'
  - IDR_Executable_returning_Element__preview_used_by__Class: '{07d5e08f-fe38-49fd-8fcb-c862a532ec57}'

  - IDR_Class__has_related__Task: "{4D8670E1-2AF1-4E7C-9C87-C910BD7B319B}"
  - IDR_Task__related_for__Class: "{F6D05235-AAA8-4DC0-8D3A-A0F336B39F01}"

  - IDR_Report_Object__has__Report_Field: "{0af62656-42bc-40a5-b0bc-dbba67c347f6}"
  - IDR_Report_Field__for__Report_Object: "{b46c8caa-3f46-465f-ba11-7d6f385425a2}"

  - IDR_Task__has_title__Translation: "{D97AE03C-261F-4060-A06D-985E26FA662C}"
  - IDR_Task__has_instructions__Translation: "{A9387898-9DC0-4006-94F1-1FB02EB3ECD7}"
  - IDR_Task__has__Prompt: "{929B106F-7E3E-4D30-BB84-E450A4FED063}"
  
  - IDR_Task__has__Task_Category: "{84048159-430d-4f6c-9361-115c8629c517}"
  - IDR_Task_Category__for__Task: "{b9480590-b9a7-4abe-bef1-a16ddfb4792a}"
  - IDR_Task__executes__Method_Call: "{D8C0D4D4-F8C6-4B92-A2C1-8BF16B16203D}"
  - IDR_Task__has_preview_action_title__Translation: "{3f65ce02-11dd-4829-a46b-b9ea1b43e56a}"

  - IDR_Prompt__has__Report_Field: "{922CCB05-61EA-441D-96E0-63D58231D202}"
  - IDR_Report_Field__for__Prompt: "{5DED3DB4-6864-45A9-A5FF-8E5A35AD6E6F}"

  - IDR_Instance_Prompt__has_valid__Class: "{D5BD754B-F401-4FD8-A707-82684E7E25F0}"

  - IDR_Instance_Prompt_Value__has__Instance: "{512B518E-A892-44AB-AC35-4E9DBCABFF0B}"

  - IDR_Method__executed_by__Method_Binding: "{D52500F1-1421-4B73-9987-223163BC9C04}"
  - IDR_Method_Binding__executes__Method: "{B782A592-8AF5-4228-8296-E3D0B24C70A8}"

  - IDR_Method__has_return_type__Class: "{1241c599-e55d-4dcf-9200-d0e48c217ef8}"

  - IDR_Method_Binding__has__Parameter_Assignment: "{24938109-94f1-463a-9314-c49e667cf45b}"
  - IDR_Parameter_Assignment__for__Method_Binding: "{19c4a5db-fd26-44b8-b431-e081e6ffff8a}"

  - IDR_Parameter__has_data_type__Instance: "{ccb5200c-5faf-4a3a-9e8e-2edf5c2e0785}"
  - IDR_Instance__data_type_for__Parameter: "{ea1e6305-b2e4-4ba5-91b4-1ecfbebfa490}"

  - IDR_Instance_Set__has__Instance: "{7c9010a2-69f1-4029-99c8-72e05c78c41e}"

  - IDR_Parameter_Assignment__assigns_to__Parameter: "{a6d30e78-7bff-4fcc-b109-ee96681b0a9e}"
  - IDR_Parameter__assigned_from__Parameter_Assignment: "{2085341e-5e7e-4a7f-bb8d-dfa58f6030d9}"

  - IDR_Method_Binding__assigned_to__Parameter_Assignment: "{cbcb23b7-10c4-49eb-a1ca-b9da73fe8b83}"
  - IDR_Parameter_Assignment__assigns_from__Method_Binding: "{1e055d30-a968-49d8-93fe-541994fc0c51}"

  - IDR_Method_Call__has__Method: "{3D3B601B-4EF0-49F3-AF05-86CEA0F00619}"
  - IDR_Method_Call__has__Prompt_Value: "{765BD0C9-117D-4D0E-88C9-2CEBD4898135}"

  - IDR_Validation__has__Validation_Classification: "{BCDB6FFD-D2F2-4B63-BD7E-9C2CCD9547E0}"
  - IDR_Validation__has_true_condition__Executable: "{AA2D3B51-4153-4599-A983-6B4A13ADCBCB}"
  - IDR_Validation__has_false_condition__Executable: "{419047F8-852B-4A4D-B161-A8BD022FD8EB}"

  - IDR_Validation__has_failure_message__Translation: "{E15A97DD-2A1D-4DC0-BD6B-A957B63D9802}"
  - IDR_Translation__failure_message_for__Validation: "{46a7dfcb-8848-47d5-9ad3-d27fbd8b423f}"

  - IDR_Get_Attribute_Method__returns__Attribute: "{5eca9b3f-be75-4f6e-8495-781480774833}"
  - IDR_Attribute__returned_by__Get_Attribute_Method: "{e82ace2e-84b7-4912-89ed-7b8efd63bb5d}"

  - IDR_Get_Attribute_by_System_Routine_Method__returns__Attribute: "{e19cf181-b5bf-4595-b5c6-b9098a7a41bb}"
  - IDR_Attribute__returned_by__Get_Attribute_by_System_Routine_Method: "{b6f2981f-d324-4d4a-b2df-1d866825e75e}"
  - IDR_Get_Attribute_by_System_Routine_Method__uses__System_Attribute_Routine: "{f7aaac2c-0bfd-4b31-8c8c-3a76e9522574}"
  - IDR_System_Attribute_Routine__used_by__Get_Attribute_by_System_Routine_Method: "{57b3a574-9f0c-4723-a32f-bde523d7e773}"

  - IDR_Get_Referenced_Instance_Set_Method__returns__Work_Set: "{72057f5b-9b49-497d-852f-cd7e5e258d6c}"
  - IDR_Work_Set__returned_by__Get_Referenced_Instance_Set_Method: "{ac6092e6-e098-40a3-a9fb-f27312cffa7c}"
  - IDR_Get_Referenced_Instance_Set_Method__uses_reference__Executable_returning_Instance_Set: "{2978238f-7cb0-4ba3-8c6f-473df782cfef}" # Loop on Instance Set
  - IDR_Executable_returning_Instance_Set__reference_used_by__Get_Referenced_Instance_Set_Method: "{22756055-ea78-4893-9404-2f3704fce188}"
  - IDR_Get_Referenced_Instance_Set_Method__uses_answer__Executable_returning_Instance_Set: "{6a65819e-c8cb-4575-9af8-ee221364049b}" # IDR_Get_Referenced_Instance_Set_Method__has_relationship__Method
  - IDR_Executable_returning_Instance_Set__answer_used_by__Get_Referenced_Instance_Set_Method: "{3e01a160-429e-40eb-b342-f3c18da86ae3}"

  - IDR_Get_Referenced_Attribute_Method__returns__Attribute: "{87f90fe9-5ec6-4b09-8f51-b8a4d1544cae}"
  - IDR_Attribute__returned_by__Get_Referenced_Attribute_Method: "{80e4ffd8-77d8-4835-a4e0-73a176e7f646}"
  - IDR_Get_Referenced_Attribute_Method__uses_reference__Executable_returning_Instance_Set: "{c7ecd498-6d05-4e07-b1bc-f7127d0d6666}"
  - IDR_Executable_returning_Instance_Set__reference_used_by__Get_Referenced_Attribute_Method: "{b9a44398-e6c5-48f9-8ec5-a8b158a7adf5}"
  - IDR_Get_Referenced_Attribute_Method__uses_answer__Executable_returning_Attribute: "{022ccde3-2b9e-4573-a8fc-e7568f420cd3}"
  - IDR_Executable_returning_Attribute__answer_used_by__Get_Referenced_Attribute_Method: "{738ff9a4-eb71-476e-a0a4-524f1de56add}"

  - IDR_Get_Specified_Instances_Method__returns__Work_Set: "{27796f3d-0cbd-42c5-a840-791d3af6c16d}"
  - IDR_Work_Set__returned_by__Get_Specified_Instances_Method: "{3a0080c7-7061-42a4-9814-cd3f6efaaa16}"
  - IDR_Get_Specified_Instances_Method__uses__Instance: "{dea1aa0b-2bef-4bac-b4f9-0ce8cf7006fc}"
  - IDR_Instance__used_by__Get_Specified_Instances_Method: "{13978b33-dd35-4d96-9414-4cb929b549e9}"

  - IDR_Prompt_Value__has__Prompt: "{7CD62362-DDCE-4BFC-87B9-B5499B0BC141}"

  - IDR_User__has_display_name__Translation: "{6C29856C-3B10-4F5B-A291-DD3CA4C04A2F}"
  - IDR_User_Login__has__User: "{85B40E4B-849B-4006-A9C0-4E201B25975F}"

  - IDR_System_Account__for__Person: "{f0c07f27-7601-4760-ab3d-851395aa325e}"
  - IDR_Person__has__System_Account: "{20145a08-fe0e-4630-90f2-6a8a5a7a5fcb}"

  - IDR_User__has_default__Page: "{f00cda6f-eded-4e0f-b6c5-9675ed664a75}"

  - IDR_Dashboard__has__Dashboard_Content: "{d26acf18-afa5-4ccd-8629-e1d9dac394ed}"
  - IDR_Dashboard_Content__for__Dashboard: "{9f236d2d-1f45-4096-a69c-42f37abbeebc}"
  - IDR_Dashboard_Content__has__Instance: "{1f0c4075-2b7d-42c2-8488-c7db06e91f5a}"
  - IDR_Instance__for__Dashboard_Content: "{376951c9-252b-4843-8e1d-ca89c94ddfa6}"

  - IDR_Return_Instance_Set_Method_Binding__has_source__Class: "{EE7A3049-8E09-410C-84CB-C2C0D652CF40}"

  - IDR_Report__has__Report_Column: "{7A8F57F1-A4F3-4BAF-84A5-E893FD79447D}"
  - IDR_Report__has__Report_Data_Source: "{1DE7B484-F9E3-476A-A9D3-7D2A86B55845}"
  - IDR_Report__has__Prompt: "{5D112697-303F-419F-886F-3F09F0670B07}"

  - IDR_Report_Column__has__Report_Column_Option: "{41FFF5F0-B467-4986-A6FD-46FAF4A479E9}"

  - IDR_Report_Data_Source__has_source__Method: "{2D5CB496-5839-46A0-9B94-30D4E2227B56}"

  - IDR_Report_Field__has_source__Method: "{5db86b76-69bf-421f-96e7-4c49452db82e}"
  - IDR_Attribute_Report_Field__has_target__Attribute: "{37964301-26FD-41D8-8661-1F73684C0E0A}"
  - IDR_Relationship_Report_Field__has_target__Relationship: "{134B2790-F6DF-4F97-9AB5-9878C4A715E5}"


  - IDR_Tenant__has__Application: "{22936f51-2629-4503-a30b-a02d61a6c0e0}"
  - IDR_Application__for__Tenant: '{c4ac2f1f-56c8-496f-9f93-3a0a2bb9a54c}'
  
  - IDR_Tenant__has_sidebar__Menu: "{D62DFB9F-48D5-4697-AAAD-1CAD0EA7ECFA}"
  - IDR_Tenant__has__Tenant_Type: "{E94B6C9D-3307-4858-9726-F24B7DB21E2D}"

  - IDR_Tenant__has_company_logo_image__File: "{3540c81c-b229-4eac-b9b5-9d4b4c6ad1eb}"

  - IDR_Menu__has__Menu_Section: "{a22d949f-f8d1-4dcc-a3eb-d9f910228dfd}"
  - IDR_Menu_Item__has_title__Translation: "{65E3C87E-A2F7-4A33-9FA7-781EFA801E02}"
  - IDR_Menu_Section__has__Menu_Item: "{5b659d7c-58f9-453c-9826-dd3205c3c97f}"

  - IDR_Command_Menu_Item__has__Icon: "{8859DAEF-01F7-46FA-8F3E-7B2F28E0A520}"

  - IDR_Instance_Menu_Item__has_target__Instance: "{C599C20E-F01A-4B12-A919-5DC3B0F545C2}"

  - IDR_Page__has_title__Translation: "{7BE6522A-4BE8-4CD3-8701-C8353F7DF630}"
  - IDR_Page__has__Style: "{6E6E1A85-3EA9-4939-B13E-CBF645CB8B59}"
  - IDR_Page__has__Page_Component: "{24F6C596-D77D-4754-B023-00321DEBA924}"

  - IDR_Style__has__Style_Rule: "{4CC8A654-B2DF-4B17-A956-24939530790E}"
  - IDR_Style_Rule__has__Style_Property: "{B69C2708-E78D-413A-B491-ABB6F1D2A6E0}"

  - IDR_Page__has_master__Page: "{9bdbfd64-0915-419f-83fd-e8cf8bcc74ae}"
  - IDR_Page__master_for__Page: "{7fe8f2a2-c94d-4010-83aa-9300cc99d71d}"

  - IDR_Page_Component__has__Style: "{818CFF50-7D42-43B2-B6A7-92C3C54D450D}"
  - IDR_Style__for__Page_Component: "{007563E7-7277-4436-8C82-06D5F156D8E1}"

  - IDR_Button_Page_Component__has_text__Translation: "{C25230B1-4D23-4CFE-8B75-56C33E8293AF}"
  - IDR_Image_Page_Component__has_source__Method: "{481E3FBE-B82A-4C76-9DDF-D66C6BA8C590}"

  - IDR_Sequential_Container_Page_Component__has__Sequential_Container_Orientation: "{DD55F506-8718-4240-A894-21346656E804}"
  - IDR_Container_Page_Component__has__Page_Component: "{CB7B8162-1C9E-4E72-BBB8-C1C37CA69CD5}"

  - IDR_Panel_Page_Component__has_header__Page_Component: "{223B4073-F417-49CD-BCA1-0E0749144B9D}"
  - IDR_Panel_Page_Component__has_content__Page_Component: "{AD8C5FAE-2444-4700-896E-C5F968C0F85B}"
  - IDR_Panel_Page_Component__has_footer__Page_Component: "{56E339BD-6189-4BAC-AB83-999543FB8060}"

  - IDR_Element_Page_Component__has__Element: "{fe833426-e25d-4cde-8939-2a6c9baac20c}"
  - IDR_Element_Page_Component__has__Element_Content_Display_Option: "{74e3c13a-04fd-4f49-be70-05a32cdcdfe7}"
  - IDR_Element_Content_Display_Option__for__Element_Page_Component: "{7d3a7045-0925-49db-9b7d-24863c9848a6}"

  - IDR_Element__for__Element_Page_Component: "{963c5c60-3979-47fa-b201-a26839b9ded9}"

  - IDR_Tenant__has_logo_image__File: "{4C399E80-ECA2-4A68-BFB4-26A5E6E97047}"
  - IDR_Tenant__has_background_image__File: "{39B0D963-4BE0-49C8-BFA2-607051CB0101}"
  - IDR_Tenant__has_icon_image__File: "{CC4E65BD-7AAA-40DA-AECA-C607D7042CE3}"
  - IDR_Tenant__has_application_title__Translation: "{76683437-67ba-46d9-a5e7-2945be635345}"
  - IDR_Tenant__has_mega__Menu: "{cdd743cb-c74a-4671-9922-652c7db9f2d8}"

  - IDR_Tenant_Type__has_title__Translation: "{79AAE09C-5690-471C-8442-1B230610456C}"

  - IDR_Prompt__has_title__Translation: "{081ee211-7534-43c4-99b5-24bd9537babc}"

  - IDR_Report__has_title__Translation: "{DF93EFB0-8B5E-49E7-8BC0-553F9E7602F9}"
  - IDR_Report__has_description__Translation: "{D5AA18A7-7ACD-4792-B039-6C620A151BAD}"
  - IDR_Report_Field__has_title__Translation: "{6780BFC2-DBC0-40AE-83EE-BFEF979F0054}"

  - IDR_Content_Page_Component__gets_content_from__Method: "{0E002E6F-AA79-457C-93B8-2CCE1AEF5F7E}"
  - IDR_Method__provides_content_for__Content_Page_Component: "{5E75000D-2421-4AD4-9E5F-B9FDD9CB4744}"

  - IDR_Securable_Item__secured_by__Method: "{15199c49-9595-4288-846d-13b0ad5dcd4b}"
  - IDR_Get_Relationship_Method__has__Relationship: "{321581d6-60c1-4547-8344-9d5bda027adc}"

  - IDR_Integration_ID__has__Integration_ID_Usage: "{6cd30735-df83-4253-aabe-360d6e1a3701}"
  - IDR_Integration_ID_Usage__for__Integration_ID: "{d8d981ec-7686-40da-b89f-006c85042444}"

  - IDR_Condition_Group__has_true_condition__Executable_returning_Work_Data: "{d955da3f-7ef4-4374-8b86-167c73434f75}"
  - IDR_Executable_returning_Work_Data__true_condition_for__Condition_Group: "{1acdefd1-e1b4-45bb-99e1-bf73dea71da5}"

  - IDR_Condition_Group__has_false_condition__Executable_returning_Work_Data: "{e46dbc4f-ae8d-4ad8-b9e6-10cedfa68b73}"
  - IDR_Executable_returning_Work_Data__false_condition_for__Condition_Group: "{633af008-bf7f-4da1-94d6-67a9a80586d6}"

  - IDR_Audit_Line__has__Instance: "{c91807ed-0d73-4729-990b-d90750764fb5}"
  - IDR_Audit_Line__has__User: "{7c1e048d-3dcb-4473-9f2e-e21014a76aa5}"

  - IDR_Method__has__Method_Parameter: "{c455dc79-ba9b-4a7c-af8e-9ca59dbe511f}"
  - IDR_Method_Parameter__for__Method: "{0bcb6e5b-5885-4747-843c-ed4c3d3dc234}"
  - IDR_Method__returns__Attribute: "{eb015d32-0d4f-4647-b9b8-715097f4434b}"

  - IDR_Detail_Page_Component__has_caption__Translation: "{4a15fa44-fb7b-4e26-8ce2-f36652792b48}"

  - IDR_Element__has__Element_Content: "{c1d32481-02f9-48c6-baf8-37d93fa8da23}"
  - IDR_Element_Content__for__Element: "{2eff7f58-0edd-40b7-9c06-00774257649e}"

  - IDR_Element__has_label__Translation: "{7147ea90-9f45-4bb9-b151-025b6e2bd834}"

  - IDR_Element_Content__has__Instance: "{315b71ba-953d-45fc-87e5-4f0a268242a9}"
  - IDR_Instance__for__Element_Content: "{c3959f84-248d-4ede-a3f2-f262917c7b56}"

  - IDR_Element__has__Layout: "{11070799-46bd-4201-ba09-6109c68e61ad}"
  - IDR_Layout__for__Element: "{05ced0ff-1dc2-41bc-b460-4773da080fc0}"

  - IDR_Element_Content__has__Layout: "{1ab74120-05ea-4aca-b6d3-c7e0133e0c4f}"
  - IDR_Layout__for__Element_Content: "{efdce6d8-c6aa-4019-a6e4-fff5db1224aa}"

  - IDR_Layout__has__Style: '{e684bb26-7e78-4a21-b8b4-5a550f3053d5}'
  - IDR_Style__for__Layout: '{7588a2f7-823d-4e00-ae37-10547c8d06e4}'

  - IDR_Measurement__has__Measurement_Unit: '{C9720082-1F40-406D-80B7-81C1B690354D}'
  - IDR_Measurement_Unit__for__Measurement: '{3117CB16-6860-48B6-8E21-3655A121E695}'

  - IDR_Element_Content__has__Element_Content_Display_Option: "{f070dfa7-6260-4488-a779-fae291903f2d}"
  - IDR_Element_Content_Display_Option__for__Element_Content: "{12fe7923-b3d2-4152-96c7-a901410b3466}"

  - IDR_Element_Content__has__Validation: "{265637cd-2099-416b-88fa-4f5ed88a87e3}"
  - IDR_Validation__for__Element_Content: "{3a4677e8-9c78-4149-80ad-46e5ac3b12f5}"

  - IDR_Instance__has__Instance_Definition: "{329c54ee-17b8-4550-ae80-be5dee9ac53c}"

  - IDR_Task__has_initiating__Element: "{78726736-f5b7-4466-b114-29cbaf6c9329}"
  - IDR_Element__initiates_for__Task: "{36964c5d-348e-4f88-8a62-0a795b43bc14}"

  - IDR_Detail_Page_Component__has_row_source__Method_Binding: "{54FBD056-0BD4-44F4-921C-11FB0C77996E}"
  - IDR_Detail_Page_Component__has_column_source__Method_Binding: "{ddabeeda-aa26-4d87-a457-4e7da921a293}"

  - IDR_Work_Set__has_valid__Class: "{08087462-41a5-4271-84bc-a9bcd31a2c21}"
  - IDR_Class__valid_for__Work_Set: "{73c65dcf-7810-47d4-98c0-898ca1b17a68}"

  - IDR_Conditional_Select_Attribute_Case__invokes__Executable_returning_Attribute: "{dbd97430-9c55-430d-815c-77fce9887ba7}"
  - IDR_Executable_returning_Attribute__invoked_by__Conditional_Select_Attribute_Case: "{f4b04072-abe8-452a-b8f8-e0369dde24d4}"

  - IDR_Style__gets_background_image_File_from__Return_Instance_Set_Method_Binding: "{4b4a0a3e-426c-4f70-bc15-b6efeb338486}"

  - IDR_Style__has__Style_Class: "{2cebd830-52aa-44ff-818d-b2d6ee273a1f}"
  - IDR_Style_Class__for__Style: "{b2fbce51-455a-42b5-9fd1-c28bb0cbe613}"

  - IDR_Style__implements__Style: "{99b1c16a-f2cb-4cc5-a3bb-82a96335aa39}"
  - IDR_Style__implemented_for__Style: "{271ef816-1e94-4f02-a805-4f9536c28dca}"

  - IDR_Style__has_width__Measurement: "{4930ca87-641a-426d-9d67-cda6d5f22303}"
  - IDR_Measurement__width_for__Style: "{304981bc-8747-48e0-8b54-fd7ffa2e1e4e}"

  - IDR_Style__has_height__Measurement: "{978e6de0-af73-45a0-bb56-aaf451615b06}"
  - IDR_Measurement__height_for__Style: "{ab43f0d4-3099-4f4c-9001-6a1270f6e2fa}"

  - IDR_Control_Transaction_Method__processes__Element: "{24bc1dc0-d6cc-44ff-86ba-1360ebd59f3a}"
  - IDR_Element__processed_by__Control_Transaction_Method: "{0f182291-6784-47b3-a8d3-d2f6ebf3950c}"

  - IDR_Control_Transaction_Method__uses__Build_Response_Method_Binding: '{d8f2f0cc-54a2-4004-a383-8c1321495531}'
  - IDR_Build_Response_Method_Binding__used_by__Control_Transaction_Method: '{9b83d1f3-6569-4e98-9d88-765684abfd18}'
  
  - IDR_Get_Instance_Set_By_System_Routine_Method__uses__System_Instance_Set_Routine: "{085bd706-eece-4604-ac04-b7af114d1d21}"
  - IDR_System_Instance_Set_Routine__used_by__Get_Instance_Set_By_System_Routine_Method: "{6fb6534c-2a46-4d6d-b9df-fd581f19efed}"

  - IDR_Get_Instance_Set_By_System_Routine_Method__returns__Work_Set: "{595f738c-1c44-401b-ac5f-4fc596d658e3}"
  - IDR_Work_Set__returned_by__Get_Instance_Set_By_System_Routine_Method: "{a9a7ba49-46b2-4cf0-9e9b-86e1841a75f7}"

  - IDR_Derived_Element_Content__has__Derived_EC_Parameter: "{985189a7-fc9e-4eb6-8db2-7362fb60b5d1}"
  - IDR_Derived_EC_Parameter__for__Derived_Element_Content: "{2687dd17-3891-4835-8cd7-7b488c51c4bc}"

  - IDR_Derived_EC_Parameter__assigns__Work_Data: "{540b7a0a-6dff-4601-a796-c451963e912a}"
  - IDR_Work_Data__assigned_by__Derived_EC_Parameter: "{e7ce127d-6b17-4795-abf4-cbcf29a0bf68}"

  - IDR_Derived_Element_Content__update_with__Executable_returning_Work_Data: "{4151911a-485c-4488-8e19-1560f489d411}"
  - IDR_Executable_returning_Work_Data__used_by__Derived_Element_Content: "{75fdacf8-163c-45ac-86eb-80677ff738ad}"

  - IDR_Work_Data__in__Namespace: '{c06e6d4d-c0e3-4e87-b2b5-76fedb979318}'

  - IDR_Parameter_Assignment__assigns_from__Executable_returning_Work_Data: '{6f3687ed-7d88-4ece-914e-c47c57c1146d}'
  - IDR_Executable_returning_Work_Data__assigned_from__Parameter_Assignment: '{40540642-69b3-4713-ac55-6946060bd385}'
  - IDR_Parameter_Assignment__assigns_to__Work_Data: '{51c37636-35d2-4528-99ca-50cf09fa1427}'
  - IDR_Work_Data__assigned_by__Parameter_Assignment: '{b9e0cc99-ef20-435f-b7b2-e19c5cd44916}'

  # - IDR_System_Account__has__User_Preferences: "{ada4deb2-adfd-409f-b13a-9856fabd5522}"
  # - IDR_User_Preferences__for__System_Account: "{ab2372a5-a4c7-488a-89f6-67e5834f8c83}"

  - IDR_Person__has__Person_Name: "{fb389a4e-4b0e-4742-a7b4-1408403eebc9}"
  - IDR_Person_Name__for__Person: "{13f8bedd-34b6-4343-bf86-6d33171cbc27}"

  - IDR_Person__has_image__File: "{b1ea6983-ef5b-447e-9a64-d1ffa93a003d}"
  - IDR_File__image_for__Person: "{612ceb91-794b-49bc-9da3-59df8cfa7539}"

  - IDR_Instance__has__Instance_Source: '{B62F9B81-799B-4ABE-A4AF-29B45347DE54}'
  - IDR_Instance_Source__for__Instance: '{FBB9391D-C4A2-4326-9F85-7801F377253C}'

  - IDR_Element__processed_by__Process_Related_Updates_Method: '{ed9c836a-04a4-4505-8953-3c567e841c66}'
  - IDR_Process_Related_Updates_Method__processes__Element: '{bb281665-7000-4144-994e-ffb40f6b4d2d}'

  - IDR_Class__processed_by__Process_Related_Updates_Method: '{ca069509-87d9-4b0b-b4f3-07d1f4cd7fcf}'
  - IDR_Process_Related_Updates_Method__processes_for__Class: '{436a20fb-f672-4397-aca4-ec0ed6e2280a}'

  - IDR_Process_Related_Updates_Method__uses__Executable_for_PUMB: '{50e1f14a-d6e5-4c71-b7ab-1755442728dc}'
  - IDR_Executable_for_PUMB__used_by__Process_Related_Updates_Method: '{6b3c7631-3a01-42d9-98d3-f60bd98ca350}'

  - IDR_PUM_Process__invokes__Execute_Update_Method_Binding: '{d3e83c17-fd38-46a0-a055-66281eabe9b0}'
  - IDR_Execute_Update_Method_Binding__invoked_by__PUM_Process: '{8f22f056-12c7-4fa2-93fb-b07821bd3946}'

  - IDR_PUM_Process__invokes__Process_Related_Updates_Method: '{ec39cc23-661a-4677-86e7-21cbf309af1a}'
  - IDR_Process_Related_Updates_Method__invoked_by__PUM_Process: '{5d7d09f8-399e-4b49-a63b-2834a1f49f69}'

  - IDR_Process_Updates_Method__has__PUM_Process: '{0ffaf08e-dbb5-49d0-8de9-d253ce6cbe7c}'
  - IDR_PUM_Process__for__Process_Updates_Method: '{12c9b11b-c56b-4ca4-aaa0-2c3d4474e6a3}'

  - IDR_System_Account__has__User_Preferences: '{327f1242-6a51-470b-8115-d05ec285a1fa}'
  - IDR_User_Preferences__for__System_Account: '{da20aab7-155e-4e06-8377-ef58b14f9979}'

  - IDR_User_Preferences__has_favorite__Instance: '{a3de0c1c-31f5-4871-a135-98fd87595932}'
  - IDR_Instance__favorite_for__User_Preferences: '{3dab8340-0cb9-450d-85ce-c6db5aedbdd5}'
  
  - IDR_User_Preferences__has_recent__Search: '{2166fcf2-fc8d-4190-95ff-e7c8eaa31321}'
  - IDR_Search__recent_for__User_Preferences: '{3f7506c0-0cc0-4612-91b6-94558c91f14b}'
  
  - IDR_Style__has_horizontal__Alignment: '{cc8d60e3-1b42-4ab1-a918-3d109891bb4e}'
  - IDR_Alignment__horizontal_for__Style: '{6cd4551c-027b-483a-a890-7d2b7aa02cb0}'

  - IDR_Style__has_vertical__Alignment: '{24c175dd-c34c-4ffc-aef0-440aa032ceeb}'
  - IDR_Alignment__vertical_for__Style: '{1a17dbdd-584a-410e-b553-b5966882452d}'

  - IDR_Assign_Attribute_Method__uses__Executable_returning_Attribute: '{9313f96e-58af-416f-852e-ef83725057fc}'
  - IDR_Executable_returning_Attribute__used_by__Assign_Attribute_Method: '{cd8fd04c-dcdd-4dc8-9d5c-e8f83d080cb8}'
  - IDR_Assign_Attribute_Method__assigns__Attribute: '{74061875-8a27-403b-9456-02e52cfd13b2}'
  - IDR_Attribute__assigned_by__Assign_Attribute_Method: '{d3b540e8-0f52-4595-bf52-1968637da59a}'

  - IDR_BEM_Process__uses_loop__Executable_returning_Instance_Set: '{0fb2b538-eacb-418a-b7d8-43a584b85952}'
  - IDR_Executable_returning_Instance_Set__loop_used_by__BEM_Process: '{903e0a4b-f93b-420c-a11d-f34be76d0479}'

  - IDR_BEM_Process__uses_order__Executable_returning_Attribute: '{0e1e6e71-e0ee-4b94-a912-ba1c6bebed2b}'
  - IDR_Executable_returning_Attribute__order_used_by__BEM_Process: '{3c91d957-6a08-444e-b3b7-360cada2e30f}'

  - IDR_Build_Element_Method__has__BEM_Process: '{6f1811b0-4e58-4e66-8318-083b62aac5de}'
  - IDR_BEM_Process__for__Build_Element_Method: '{da991add-0a67-428c-9568-efba5633c91a}'

  - IDR_Build_Element_Method__returns__Element: '{4d13d021-7363-4131-b74a-241698c3f1d0}'
  - IDR_Element__returned_by__Build_Element_Method: '{ae6a82f0-950b-44c0-a1e6-53d8a7e9e46d}'

  - IDR_Instance_Op_Method__returns__Work_Set: '{aadc223e-e300-4914-ad29-62d497afcc36}'
  - IDR_Work_Set__returned_by__Instance_Op_Method: '{5e15f42f-e634-45ee-9ecc-fbde4fd0c38f}'